"""
Settings pour le développement de l'annuaire avec vagrant.
Essaie de rester le plus fidèle possible aux settings de production,
avec des différences les plus minimes possibles.
"""

from .prod import *  # noqa
from .prod import TESTING, INSTALLED_APPS, MIDDLEWARE
from .local import show_toolbar

DEBUG = True

MEDIA_ROOT = "/srv/annuaire/media"
STATIC_ROOT = "/srv/annuaire/static"

EMAIL_BACKEND = "django.core.mail.backends.filebased.EmailBackend"
EMAIL_FILE_PATH = "/var/mail/django"

ALLOWED_HOSTS = ["127.0.0.1", "localhost", "0.0.0.0"]

if not TESTING:
    INSTALLED_APPS += ["debug_toolbar"]
    MIDDLEWARE = ["debug_toolbar.middleware.DebugToolbarMiddleware"] + MIDDLEWARE
    DEBUG_TOOLBAR_CONFIG = {"SHOW_TOOLBAR_CALLBACK": show_toolbar}
