"""annuaire URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/dev/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.conf import settings
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static
from fiches.views import BirthdayView, HomeView
import django_cas_ng.views as cas_views

urlpatterns = [
    path("admin/", admin.site.urls),
    path("fiche/", include("fiches.urls")),
    path("", HomeView.as_view(), name="home"),
    path("birthday", BirthdayView.as_view(), name="birthday"),
    path("accounts/login/", cas_views.LoginView.as_view(), name="cas_ng_login"),
    path("logout", cas_views.LogoutView.as_view(), name="cas_ng_logout"),
]

if settings.DEBUG and "debug_toolbar" in settings.INSTALLED_APPS:
    import debug_toolbar

    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += [path("__debug__/", include(debug_toolbar.urls))]
